Bug 68353 - Don't list core X fonts in font selector
Don't list core X fonts in font selector
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: qt (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-09 11:10 EDT by Havoc Pennington
Modified: 2008-05-01 11:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-15 10:54:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qt-3.0.5-fontdatabasefixes.patch (7.56 KB, patch)
2002-08-15 09:09 EDT, Leon Ho
no flags Details | Diff

  None (edit)
Description Havoc Pennington 2002-07-09 11:10:31 EDT
Qt is still offering a mix of core X fonts and Xft2 fonts. 
The core X fonts we're keeping are in the bitmap-fonts package and available 
via Xft2. So it's broken to include core X fonts here, it just results in
duplicates.

There was a thread cc'd to Bero, Keith Packard, and I with details on how to
fix, I'll try to find the mail and attach the details.
Comment 1 Havoc Pennington 2002-07-09 11:15:57 EDT
Here is how Keith suggests fixing this:

qfontdatabase_x11.cpp:createDatabase()

	There's an obvious place to stick an 'else' to skip adding core
	fonts to the database.

qfont_x11.cpp:checkXftFont()

	Must skip the family name comparison to let Xft do the
	substitutions.
Comment 2 Owen Taylor 2002-07-12 11:50:23 EDT
Changing package to 'qt'.
Comment 3 Havoc Pennington 2002-08-05 11:16:44 EDT
This bug is pretty important, or the user will get duplicate fonts, and
different fonts in different apps, and in general things won't make any sense.
Comment 4 Leon Ho 2002-08-15 09:09:03 EDT
Created attachment 70824 [details]
qt-3.0.5-fontdatabasefixes.patch
Comment 5 Leon Ho 2002-08-15 09:10:42 EDT
I have done a patch for taking out the core X fonts. I haven't taken out the core X 
completely. Core X font will display if user disable "useXft" in qtconfig. 
 
This patch also adds aliases which fixed Bug 67098
Comment 6 Ngo Than 2002-08-15 10:54:20 EDT
it's fixed in 3.0.5-13. thanks to Leon for good work!
Comment 7 Jay Turner 2002-09-03 14:12:02 EDT
Closing out, as it appears to be fixed according to the notes above.

Note You need to log in before you can comment on or make changes to this bug.